Subject: Re: bug#55393: describe-keymap: suggest symbol at point

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 May 2022 09:23:06 +0300

> From: Visuwesh <[email-masked]>
> Date: Fri, 13 May 2022 09:35:25 +0530
> 
> describe-keymap differs from other describe-* commands in that it does
> not suggest the symbol at point which always annoyed me.  This patch
> makes describe-keymap consider the symbol at point first.
> 
> [ I hope it is okay to use if-let family of macros in these files now?  ]

Yes, but I think a cleaner solution would be to do this kind of stuff
in the 'interactive' form of describe-keymap, instead of this
subroutine.  The DWIM-ish operation of describe-SOMETHING commands is
better done there, because it doesn't really belong to non-interactive
invocations.

Thanks.